CREATE TABLE atc_entitlement_benefits (
    ENT_BENEFIT_ID               NUMBER(18, 0) ,
    ENT_BENEFIT_PUID             VARCHAR2(120)     NOT NULL,
    ENT_BENEFIT_NAME             VARCHAR2(800) ,
    ENT_BENEFIT_DESCRIPTION      VARCHAR2(4000),
    ENTITLEMENT_ID               NUMBER(18, 0)     NOT NULL,
    ENT_BENEFIT_PRIORITY         NUMBER(18, 0) ,
    ENT_BENEFIT_TYPE_CODE        VARCHAR2(800) ,
    ENT_BENEFIT_STATUS_CODE      VARCHAR2(800) ,
    ENT_BENEFIT_SCHEDULE_CODE    VARCHAR2(800) ,
    ENT_RELTYPE_GRP_CODE         VARCHAR2(800) ,
    AT_TYPE                      VARCHAR2(800) ,
    AT_BASE_TYPE                 VARCHAR2(800) ,
    AT_SCHEMA_LOCATION           VARCHAR2(4000),
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    ENT_BENEFIT_ID               NUMBER(18, 0) ,
    ENT_BENEFIT_PUID             VARCHAR2(120)     NOT NULL,
    ENT_BENEFIT_NAME             VARCHAR2(800) ,
    ENT_BENEFIT_DESCRIPTION      VARCHAR2(4000),
    ENTITLEMENT_ID               NUMBER(18, 0)     NOT NULL,
    ENT_BENEFIT_PRIORITY         NUMBER(18, 0) ,
    ENT_BENEFIT_TYPE_CODE        VARCHAR2(800) ,
    ENT_BENEFIT_STATUS_CODE      VARCHAR2(800) ,
    ENT_BENEFIT_SCHEDULE_CODE    VARCHAR2(800) ,
    ENT_RELTYPE_GRP_CODE         VARCHAR2(800) ,
    AT_TYPE                      VARCHAR2(800) ,
    AT_BASE_TYPE                 VARCHAR2(800) ,
    AT_SCHEMA_LOCATION           VARCHAR2(4000),
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_atc_entitlement_benefits PRIMARY KEY (ENT_BENEFIT_ID, ENT_BENEFIT_ID)
);
